cpw.mods.fml.common.network.simpleimpl

## Class SimpleIndexedCodec

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelDuplexHandler
      - - io.netty.handler.codec.MessageToMessageCodec<FMLProxyPacket,A>
        - - cpw.mods.fml.common.network.FMLIndexedMessageToMessageCodec<IMessage>
          - - cpw.mods.fml.common.network.simpleimpl.SimpleIndexedCodec

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler, io.netty.channel.ChannelOutboundHandler

      public class SimpleIndexedCodec
      extends FMLIndexedMessageToMessageCodec<IMessage>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLIndexedMessageToMessageCodec

      `INBOUNDPACKETTRACKER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleIndexedCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decodeInto(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf source, IMessage msg)`
    `void` | `encodeInto(io.netty.channel.ChannelHandlerContext ctx, IMessage msg, io.netty.buffer.ByteBuf target)`

    - ### Methods inherited from class cpw.mods.fml.common.network.FMLIndexedMessageToMessageCodec

      `addDiscriminator, decode, encode, exceptionCaught, handlerAdded, testMessageValidity`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageCodec

      `acceptInboundMessage, acceptOutboundMessage, channelRead, write`

    - ### Methods inherited from class io.netty.channel.ChannelDuplexHandler

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerRemoved`

- - ### Constructor Detail

    - #### SimpleIndexedCodec

          public SimpleIndexedCodec()

  - ### Method Detail

    - #### encodeInto

          public void encodeInto(io.netty.channel.ChannelHandlerContext ctx,
                        IMessage msg,
                        io.netty.buffer.ByteBuf target)
                          throws java.lang.Exception

      Specified by:
        `encodeInto` in class `FMLIndexedMessageToMessageCodec<IMessage>`
      Throws:
        `java.lang.Exception`

    - #### decodeInto

          public void decodeInto(io.netty.channel.ChannelHandlerContext ctx,
                        io.netty.buffer.ByteBuf source,
                        IMessage msg)

      Specified by:
        `decodeInto` in class `FMLIndexedMessageToMessageCodec<IMessage>`